
Database - Feature #1667

improve support for "FOR EACH FIRST" and similar cases

10/22/2012 12:50 AM - Eric Faulhaber

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 120.00 hours

Target version: Performance and Scalability

Improvements

  

billable: No vendor_id: GCD

Description

History

#1 - 10/22/2012 12:55 AM - Eric Faulhaber

Currently, instances of looping queries like FOR EACH...FIRST... are converted to CompoundQuery.  This works logically, but it is an inefficient

implementation.  We need a smarter conversion (and runtime support), which recognizes that only a single record is being found within the inner

loop/join.  The idea is that we convert to a smarter, set-based query that still is adaptive (i.e., can shift between preselect and dynamic mode).  This

will require some serious consideration and design work.

Note that this is purely an optimization;  the current form of conversion will work, but it could stand to be less ugly and more efficient.

#2 - 10/31/2012 04:00 PM - Greg Shah

- Target version set to Milestone 7

#3 - 10/31/2012 04:00 PM - Greg Shah

- Target version changed from Milestone 7 to Milestone 17

#4 - 11/16/2016 12:30 PM - Greg Shah

- Target version changed from Milestone 17 to Performance and Scalability Improvements
